Subject: IWG Welcomes DVAC!
From: Interfaith Working Group <[email-masked]>
Date: Sun, 5 Apr 1998 19:09:45 -0400 (EDT)

On Friday we announced that the Methodist Federation for Social Action
Eastern PA Conference had voted to become official supporters of the
Interfaith Working Group.

Today we are announcing that the Delaware Valley Area Council of Unitarian
Universalist Congregations has also voted to do the same, becoming the
eighth listed organization.

We now list eight organizations, six congregations, and fifty-six
individual clergy members from fifteen religious traditions.

-- 

Interfaith Working Group                Religious organizations, congregations
[email-masked]                      and clergy supporting gay rights,
http://www.libertynet.org/iwg/          reproductive freedom, and the 
215-235-3050                            separation of church and state.